#!/bin/sh
# prov-test-allfiles.sh
#                               Rick Landau 20090313
# 
# Copyright (c) 2008, 2009, Dell, Inc. 
# 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or
# without modification, are permitted provided that the following
# conditions are met:
# 
#     * Redistributions of source code must retain the above
# copyright notice, this list of conditions and the following
# disclaimer.
# 
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# 
#     * Neither the name of the Dell, Inc., nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# Run prov-test-enum-all.sh and prov-test-enum-assoc.sh against
# a bunch of snmptest .ini dump files.  

function DoOneFile()
{
    echo ""
    echo '********************************************************************'
    echo "                  STARTING FILE  $1"
    echo '********************************************************************'
    echo ""
    ./prov-test-enum-all.sh     "$1"
    ./prov-test-enum-assoc.sh   "$1"
}


echo Starting 
export TRACE_LEVEL=0

DoOneFile dat/delltest2.ini 
DoOneFile dat/delltest3.ini
DoOneFile dat/delltest4-bw5300.ini

DoOneFile dat/hptest1-old.ini
DoOneFile dat/hptest2-bw.ini
DoOneFile dat/hptest3-color.ini
DoOneFile dat/hptest4-colorij.ini

DoOneFile dat/konicatest1-color.ini
DoOneFile dat/konicatest2-color2350.ini
DoOneFile dat/konicatest3-color2550.ini

DoOneFile dat/lextest1-color.ini

DoOneFile dat/okitest1-color.ini

DoOneFile dat/sharptest1-color.ini

DoOneFile dat/xeroxtest1-color.ini
DoOneFile dat/xeroxtest3-wc7665.ini
DoOneFile dat/xeroxtest4-wc4260.ini
DoOneFile dat/xeroxtest5-wc5050.ini
DoOneFile dat/xeroxtest6-wc7345.ini

echo Finished.

# end
