#!/bin/sh
# prov-test-enum-assoc.sh
# Enumerate all association instances.  
# 
# Copyright (c) 2008, 2009, Dell, Inc. 
# 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or
# without modification, are permitted provided that the following
# conditions are met:
# 
#     * Redistributions of source code must retain the above
# copyright notice, this list of conditions and the following
# disclaimer.
# 
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# 
#     * Neither the name of the Dell, Inc., nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 

echo `date +%Y%m%d_%H%M%S` BEGIN PROV-TEST-ENUM-ASSOC

# Allow substitution of the CLI snmpvalues file by first arg.
if [ -n "$1" ]
then
    clifile="$1"
else
    clifile="dat/snmpvalues.ini"
fi

# Set default environment variables for tracing, if they are not defined.
if [ -z "$TRACE_LEVEL" ]
then
    export TRACE_LEVEL=0
fi

if [ -z "$TRACE_FACIL" ]
then
    export TRACE_FACIL="all -oid -dic -init"
fi

python prov-test-enum-assoc.py  bins=ini/bins.ini  oids=ini/mibs.ini  props=ini/classprops.ini \
                                printers=ini/printers.ini tables=ini/tables.ini \
                                algs=ini/algs.ini varsubs=ini/varsubs.ini assoc=ini/assoc.ini \
                                papersizes=ini/papersizes.ini propenums=ini/propenums.ini \
                                cli="$clifile"

echo `date +%Y%m%d_%H%M%S` END PROV-TEST
