#!/usr/bin/python
# prov-test-enum-one.py
# 
# Copyright (c) 2008, 2009, Dell, Inc. 
# 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or
# without modification, are permitted provided that the following
# conditions are met:
# 
#     * Redistributions of source code must retain the above
# copyright notice, this list of conditions and the following
# disclaimer.
# 
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# 
#     * Neither the name of the Dell, Inc., nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 

from provini    import *
from dicts      import *
from NewTrace   import TRC

sClassname = "CIM_PrintInputTray"

def init():
    #==============================
    # Get input files
    
    cProv = CProvider()
    dIniFiles = CDict("dIniFiles")
    
    sBinFile = (argv[1]).strip()
    TRC.trace( 1,"test  binfile=|" + sBinFile + "|")
    dIniFiles.mset("bins",sBinFile)
    
    sOidFile = (argv[2]).strip()
    TRC.trace( 1,"test  oidfile=|" + sOidFile + "|")
    dIniFiles.mset("oids",sOidFile)
    
    sPropFile = (argv[3]).strip()
    TRC.trace( 1,"test  propfile=|" + sPropFile + "|")
    dIniFiles.mset("props",sPropFile)
    
    sPrinterFile = (argv[4]).strip()
    TRC.trace( 1,"test  printerfile=|" + sPrinterFile + "|")
    dIniFiles.mset("printers",sPrinterFile)
    
    sTableFile = (argv[5]).strip()
    TRC.trace( 1,"test  tablefile=|" + sTableFile + "|")
    dIniFiles.mset("tables",sTableFile)
    
    sAlgFile = (argv[6]).strip()
    TRC.trace( 1,"test  algfile=|" + sAlgFile + "|")
    dIniFiles.mset("algs",sAlgFile)
    
    sVarsubsFile = (argv[7]).strip()
    TRC.trace( 1,"test  varsubfile=|" + sVarsubsFile + "|")
    dIniFiles.mset("varsubs",sVarsubsFile)
    
    sAssocFile = (argv[8]).strip()
    TRC.trace( 1,"test  assocfile=|" + sAssocFile + "|")
    dIniFiles.mset("assoc",sAssocFile)
    
    sPaperFile = (argv[9]).strip()
    TRC.trace( 1,"test  paperfile=|" + sPaperFile + "|")
    dIniFiles.mset("papersizes",sPaperFile)
    
    sEnumFile = (argv[10]).strip()
    TRC.trace( 1,"test  enumfile=|" + sEnumFile + "|")
    dIniFiles["propenums"] = sEnumFile
    
    sCliFile = (argv[11]).strip()
    TRC.trace( 1,"test  clifile=|" + sCliFile + "|")
    dIniFiles["cli"] = sCliFile
    
    # The name of the class to be enumerated
    global sClassname
    sClassname = (argv[12]).strip()
    TRC.trace( 1,"test  cimclassname=|" + sClassname + "|")
    
    cProv.InitAll(dIniFiles)
    
    #==============================
    # Simple tests for classes
    
    #==============================
    # Simple tests for enumerations

def test101():
    cEnumRequest = CEnumerateRequest(sClassname)
    status = cEnumRequest.do()
    TRC.trace(0,"cEnumRequest.do() class|%s| returnstatus|%s|"\
        %(sClassname,status))
    if status == None or int(status) != 0:
        print "Error: unknown class"
    else:
        ans = cEnumRequest.getAllFlat()
        print "==================================="
        print ans
        print "==================================="
    del cEnumRequest


    #==============================
    # Now actually test something

def main():

    TRC.trace(0,"BEGINBEGIN")
    init()
    TRC.trace(0,"END INIT")

    # Enumerate one class
    TRC.trace(0,"BEGIN TEST101")
    test101()
    TRC.trace(0,"END TEST101")

    TRC.trace(0,"ENDEND")


    print "Done"

# Do all this testing only if this is really the main program.  

if __name__ == "__main__":
    main()

#end
